ranges::views::tail_fn Struct Referenceabstract
Inheritance diagram for ranges::views::tail_fn:

## Synopsis of methods

constexpr view_closure< tail_fn > | tail {}

## Public Member Functions

template<typename Rng >
auto | operator() (Rng &&rng) const -> meta::if_c< range_cardinality< Rng >::value==0

## Public Attributes

auto | all_t< Rng >
auto tail_view< all_t< Rng > > requires viewable_range< Rng > && | input_range< Rng >

## Member Data Documentation

## input_range< Rng >

auto tail_view<all_t<Rng> > requires viewable_range<Rng>&& ranges::views::tail_fn::input_range< Rng >

Initial value:
{
return all(static_cast<Rng &&>(rng))